Bug 201431 - yum doesn't handle file collisions wisely
yum doesn't handle file collisions wisely
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
5
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-05 04:18 EDT by Jeff Silverman
Modified: 2014-01-21 17:54 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-18 17:05:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is a screen capture of a typical session which reproduces the problem (3.01 KB, text/plain)
2006-08-05 04:18 EDT, Jeff Silverman
no flags Details

  None (edit)
Description Jeff Silverman 2006-08-05 04:18:26 EDT
Description of problem:

When two packages attempt to install the same file, yum detects that a file
collision has occurred and exits.  I think that the desired behavior should be
that it reports the problem, perhaps in a log file, and continues on with
everything else that it can do.  Otherwise, one has to redownload many many many
files.  Alternatively, if yum supported the --replacefiles switch as rpm does,
that would resolve the problem for me


Version-Release number of selected component (if applicable):
yum 2.6.0

How reproducible:
Reliably


Steps to Reproduce:  
1.  yum -y update wxGTK
2.  yum -y update --replacefiles wxGTK        ought to work, but the
--replacefiles switch isn't accepted.
3.
  
Actual results:


Expected results:


Additional info:
The underlying problem that triggers the error is described in bug 188370.
Comment 1 Jeff Silverman 2006-08-05 04:18:27 EDT
Created attachment 133674 [details]
This is a screen capture of a typical session which reproduces the problem
Comment 2 Jeremy Katz 2006-09-18 17:05:06 EDT
The removal+redownload bit should be fixed now.  But there's no way to "avoid"
the conflict -- it has to be handled by the user (or broken repositories should
be fixed, even better)

Note You need to log in before you can comment on or make changes to this bug.